Bug 1163461 - Should not check aci syntax when deleting an aci
Summary: Should not check aci syntax when deleting an aci
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-12 18:17 UTC by Noriko Hosoi
Modified: 2015-03-05 09:37 UTC (History)
4 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-9.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:37:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Noriko Hosoi 2014-11-12 18:17:27 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47953

Attempting to delete to specific aci will have the aci value's syntax checked.  So it makes it impossible to delete an aci if its syntax is invalid.  We should not check the syntax of aci if we are deleting it.

Comment 1 mreynolds 2014-11-12 20:21:19 UTC
Fixed upstream

Comment 3 Viktor Ashirov 2014-11-24 13:29:34 UTC
$ rpm -qa | grep 389
389-ds-base-1.3.3.1-9.el7.x86_64
389-ds-base-debuginfo-1.3.3.1-9.el7.x86_64
389-ds-base-libs-1.3.3.1-9.el7.x86_64

I did a fresh install of DS, imported ldif using ldif2db from https://fedorahosted.org/389/ticket/47953#comment:1 that contains aci with invalid syntax

Check if it was imported: 
$ ldapsearch -o ldif-wrap=no -LLL -x -H ldap://localhost:389 -D "cn=Directory Manager" -w Secret123 -b dc=example,dc=com -s base "(objectclass=*)" aci | grep fffff
aci: (targetattr ="fffff")(version 3.0;acl "Directory Administrators Group";allow (all) (groupdn = "ldap:///cn=Directory Administrators, dc=example,dc=com");)

Delete aci entry with invalid syntax: 
$ ldapmodify -D "cn=Directory Manager" -w Secret123  -H ldap://localhost:389  << EOF
dn: dc=example,dc=com
changetype: modify
delete: aci
aci: (targetattr ="fffff")(version 3.0;acl "Directory Administrators Group";al
 low (all) (groupdn = "ldap:///cn=Directory Administrators, dc=example,dc=com"
 );)
EOF

modifying entry "dc=example,dc=com"

Check if it was deleted: 
$ ldapsearch -o ldif-wrap=no -LLL -x -H ldap://localhost:389 -D "cn=Directory Manager" -w Secret123 -b dc=example,dc=com -s base "(objectclass=*)" aci | grep fffff
$ echo $?
1

Invalid aci entry was successfully deleted. Hence marking as VERIFIED.

Comment 5 errata-xmlrpc 2015-03-05 09:37:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.